All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Class MdEvent

    com.sas.metadata.remote.MdEvent

All Implemented Interfaces:
  java.io.Serializable

    public class MdEvent

MdEvent is used to notify interested parties that state has changed in the event source. (see ChangeEvent)

Note: this class should not be used directly by a client. As of version 9.2, all client event notifications should use the `MdFactoryEvent` class instead. Most methods using this class have been deprecated.

See Also:
  Serialized Form

Field Summary
`protected MdStore` | `sourceStore`

Constructor Summary
`MdEvent(java.lang.Object source)` Constructs a MdEvent object.
`MdEvent(java.lang.Object source, MdStore inStore)` Constructs a MdEvent object and sets its source store.

Method Summary
`MdStore` | `getSourceStore()` Gets the store used for event processing.
`void` | `setSourceStore(MdStore instore)` Sets the store used for event processing.

Field Detail

### sourceStore

    protected MdStore sourceStore

Constructor Detail

### MdEvent

    public MdEvent(java.lang.Object source)

  Constructs a MdEvent object.

  Parameters:
    `source` - the Object that is the source of the event (typically `this`)

### MdEvent

    public MdEvent(java.lang.Object source,
                   MdStore inStore)

  Constructs a MdEvent object and sets its source store.

  Parameters:
    `source` -
    `inStore` -

Method Detail

### setSourceStore

    public void setSourceStore(MdStore instore)

  Sets the store used for event processing.

  Parameters:
    `instore` -

### getSourceStore

    public MdStore getSourceStore()

  Gets the store used for event processing.

  Returns:
    MdStore

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.